Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata.impl
Class MetadataPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.ohf.ihe.xds.metadata.impl.MetadataPackageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, MetadataPackage

    public class MetadataPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements MetadataPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.ohf.ihe.xds.metadata.MetadataPackage
`MetadataPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.ohf.ihe.xds.metadata.MetadataPackage
`AUTHOR_TYPE, AUTHOR_TYPE__AUTHOR_INSTITUTION, AUTHOR_TYPE__AUTHOR_PERSON, AUTHOR_TYPE__AUTHOR_ROLE, AUTHOR_TYPE__AUTHOR_SPECIALITY, AUTHOR_TYPE_FEATURE_COUNT, AVAILABILITY_STATUS_TYPE, AVAILABILITY_STATUS_TYPE_OBJECT, CODED_METADATA_TYPE, CODED_METADATA_TYPE__CODE, CODED_METADATA_TYPE__DISPLAY_NAME, CODED_METADATA_TYPE__SCHEME_NAME, CODED_METADATA_TYPE__SCHEME_UUID, CODED_METADATA_TYPE_FEATURE_COUNT, DOCUMENT_ENTRY_TYPE, DOCUMENT_ENTRY_TYPE__AUTHOR, DOCUMENT_ENTRY_TYPE__AVAILABILITY_STATUS, DOCUMENT_ENTRY_TYPE__CLASS_CODE, DOCUMENT_ENTRY_TYPE__COMMENTS, DOCUMENT_ENTRY_TYPE__CONFIDENTIALITY_CODE, DOCUMENT_ENTRY_TYPE__CREATION_TIME, DOCUMENT_ENTRY_TYPE__ENTRY_UUID, DOCUMENT_ENTRY_TYPE__EVENT_CODE, DOCUMENT_ENTRY_TYPE__EXISTING, DOCUMENT_ENTRY_TYPE__FORMAT_CODE, DOCUMENT_ENTRY_TYPE__HASH, DOCUMENT_ENTRY_TYPE__HEALTH_CARE_FACILITY_TYPE_CODE, DOCUMENT_ENTRY_TYPE__LANGUAGE_CODE, DOCUMENT_ENTRY_TYPE__LEGAL_AUTHENTICATOR, DOCUMENT_ENTRY_TYPE__MIME_TYPE, DOCUMENT_ENTRY_TYPE__PARENT_DOCUMENT_ID, DOCUMENT_ENTRY_TYPE__PARENT_DOCUMENT_RELATIONSHIP, DOCUMENT_ENTRY_TYPE__PATIENT_ID, DOCUMENT_ENTRY_TYPE__PRACTICE_SETTING_CODE, DOCUMENT_ENTRY_TYPE__SERVICE_START_TIME, DOCUMENT_ENTRY_TYPE__SERVICE_STOP_TIME, DOCUMENT_ENTRY_TYPE__SIZE, DOCUMENT_ENTRY_TYPE__SOURCE_PATIENT_ID, DOCUMENT_ENTRY_TYPE__SOURCE_PATIENT_INFO, DOCUMENT_ENTRY_TYPE__TITLE, DOCUMENT_ENTRY_TYPE__TYPE_CODE, DOCUMENT_ENTRY_TYPE__UNIQUE_ID, DOCUMENT_ENTRY_TYPE__URI, DOCUMENT_ENTRY_TYPE_FEATURE_COUNT, DOCUMENT_ROOT, DOCUMENT_ROOT__DOCUMENT_ENTRY, DOCUMENT_ROOT__FOLDER, DOCUMENT_ROOT__MIXED, DOCUMENT_ROOT__MULTIPLE_DOCUMENT_SET, DOCUMENT_ROOT__PROVIDE_AND_REGISTER_DOCUMENT_SET, DOCUMENT_ROOT__SUBMISSION_SET, DOCUMENT_ROOT__XMLNS_PREFIX_MAP, DOCUMENT_ROOT__XSI_SCHEMA_LOCATION, DOCUMENT_ROOT_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, FOLDER_TYPE, FOLDER_TYPE__ASSOCIATED_DOCUMENTS, FOLDER_TYPE__AVAILABILITY_STATUS, FOLDER_TYPE__CODE, FOLDER_TYPE__COMMENTS, FOLDER_TYPE__ENTRY_UUID, FOLDER_TYPE__EXISTING, FOLDER_TYPE__LAST_UPDATE_TIME, FOLDER_TYPE__PATIENT_ID, FOLDER_TYPE__TITLE, FOLDER_TYPE__UNIQUE_ID, FOLDER_TYPE_FEATURE_COUNT, INTERNATIONAL_STRING_TYPE, INTERNATIONAL_STRING_TYPE__GROUP, INTERNATIONAL_STRING_TYPE__LOCALIZED_STRING, INTERNATIONAL_STRING_TYPE_FEATURE_COUNT, LOCALIZED_STRING_TYPE, LOCALIZED_STRING_TYPE__CHARSET, LOCALIZED_STRING_TYPE__LANG, LOCALIZED_STRING_TYPE__VALUE, LOCALIZED_STRING_TYPE_FEATURE_COUNT, MULTIPLE_DOCUMENT_SET_TYPE, MULTIPLE_DOCUMENT_SET_TYPE__DOCUMENT_SET, MULTIPLE_DOCUMENT_SET_TYPE_FEATURE_COUNT, OID, OID_EXTENSION, PARENT_DOCUMENT_RELATIONSHIP_TYPE, PARENT_DOCUMENT_RELATIONSHIP_TYPE_OBJECT, PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE, PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE__DOCUMENT_ENTRY, PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE__FOLDER, PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE__SUBMISSION_SET, PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE_FEATURE_COUNT, SUBMISSION_SET_TYPE, SUBMISSION_SET_TYPE__ASSOCIATED_DOCUMENTS, SUBMISSION_SET_TYPE__ASSOCIATED_FOLDERS, SUBMISSION_SET_TYPE__AUTHOR, SUBMISSION_SET_TYPE__AVAILABILITY_STATUS, SUBMISSION_SET_TYPE__COMMENTS, SUBMISSION_SET_TYPE__CONTENT_TYPE_CODE, SUBMISSION_SET_TYPE__ENTRY_UUID, SUBMISSION_SET_TYPE__PATIENT_ID, SUBMISSION_SET_TYPE__SOURCE_ID, SUBMISSION_SET_TYPE__SUBMISSION_TIME, SUBMISSION_SET_TYPE__TITLE, SUBMISSION_SET_TYPE__UNIQUE_ID, SUBMISSION_SET_TYPE_FEATURE_COUNT, UUID`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EReference` | `getAuthorType_AuthorInstitution()`
`org.eclipse.emf.ecore.EReference` | `getAuthorType_AuthorPerson()`
`org.eclipse.emf.ecore.EAttribute` | `getAuthorType_AuthorRole()`
`org.eclipse.emf.ecore.EAttribute` | `getAuthorType_AuthorSpeciality()`
`org.eclipse.emf.ecore.EClass` | `getAuthorType()`
`org.eclipse.emf.ecore.EEnum` | `getAvailabilityStatusType()`
`org.eclipse.emf.ecore.EDataType` | `getAvailabilityStatusTypeObject()`
`org.eclipse.emf.ecore.EAttribute` | `getCodedMetadataType_Code()`
`org.eclipse.emf.ecore.EReference` | `getCodedMetadataType_DisplayName()`
`org.eclipse.emf.ecore.EAttribute` | `getCodedMetadataType_SchemeName()`
`org.eclipse.emf.ecore.EAttribute` | `getCodedMetadataType_SchemeUUID()`
`org.eclipse.emf.ecore.EClass` | `getCodedMetadataType()`
`org.eclipse.emf.ecore.EReference` | `getDocumentEntryType_Author()`
`org.eclipse.emf.ecore.EAttribute` | `getDocumentEntryType_AvailabilityStatus()`
`org.eclipse.emf.ecore.EReference` | `getDocumentEntryType_ClassCode()`
`org.eclipse.emf.ecore.EReference` | `getDocumentEntryType_Comments()`
`org.eclipse.emf.ecore.EReference` | `getDocumentEntryType_ConfidentialityCode()`
`org.eclipse.emf.ecore.EAttribute` | `getDocumentEntryType_CreationTime()`
`org.eclipse.emf.ecore.EAttribute` | `getDocumentEntryType_EntryUUID()`
`org.eclipse.emf.ecore.EReference` | `getDocumentEntryType_EventCode()`
`org.eclipse.emf.ecore.EAttribute` | `getDocumentEntryType_Existing()`
`org.eclipse.emf.ecore.EReference` | `getDocumentEntryType_FormatCode()`
`org.eclipse.emf.ecore.EAttribute` | `getDocumentEntryType_Hash()`
`org.eclipse.emf.ecore.EReference` | `getDocumentEntryType_HealthCareFacilityTypeCode()`
`org.eclipse.emf.ecore.EAttribute` | `getDocumentEntryType_LanguageCode()`
`org.eclipse.emf.ecore.EReference` | `getDocumentEntryType_LegalAuthenticator()`
`org.eclipse.emf.ecore.EAttribute` | `getDocumentEntryType_MimeType()`
`org.eclipse.emf.ecore.EAttribute` | `getDocumentEntryType_ParentDocumentId()`
`org.eclipse.emf.ecore.EAttribute` | `getDocumentEntryType_ParentDocumentRelationship()`
`org.eclipse.emf.ecore.EReference` | `getDocumentEntryType_PatientId()`
`org.eclipse.emf.ecore.EReference` | `getDocumentEntryType_PracticeSettingCode()`
`org.eclipse.emf.ecore.EAttribute` | `getDocumentEntryType_ServiceStartTime()`
`org.eclipse.emf.ecore.EAttribute` | `getDocumentEntryType_ServiceStopTime()`
`org.eclipse.emf.ecore.EAttribute` | `getDocumentEntryType_Size()`
`org.eclipse.emf.ecore.EReference` | `getDocumentEntryType_SourcePatientId()`
`org.eclipse.emf.ecore.EReference` | `getDocumentEntryType_SourcePatientInfo()`
`org.eclipse.emf.ecore.EReference` | `getDocumentEntryType_Title()`
`org.eclipse.emf.ecore.EReference` | `getDocumentEntryType_TypeCode()`
`org.eclipse.emf.ecore.EAttribute` | `getDocumentEntryType_UniqueId()`
`org.eclipse.emf.ecore.EAttribute` | `getDocumentEntryType_Uri()`
`org.eclipse.emf.ecore.EClass` | `getDocumentEntryType()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_DocumentEntry()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Folder()`
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_Mixed()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_MultipleDocumentSet()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ProvideAndRegisterDocumentSet()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SubmissionSet()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XMLNSPrefixMap()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XSISchemaLocation()`
`org.eclipse.emf.ecore.EClass` | `getDocumentRoot()`
`org.eclipse.emf.ecore.EAttribute` | `getFolderType_AssociatedDocuments()`
`org.eclipse.emf.ecore.EAttribute` | `getFolderType_AvailabilityStatus()`
`org.eclipse.emf.ecore.EReference` | `getFolderType_Code()`
`org.eclipse.emf.ecore.EReference` | `getFolderType_Comments()`
`org.eclipse.emf.ecore.EAttribute` | `getFolderType_EntryUUID()`
`org.eclipse.emf.ecore.EAttribute` | `getFolderType_Existing()`
`org.eclipse.emf.ecore.EAttribute` | `getFolderType_LastUpdateTime()`
`org.eclipse.emf.ecore.EReference` | `getFolderType_PatientId()`
`org.eclipse.emf.ecore.EReference` | `getFolderType_Title()`
`org.eclipse.emf.ecore.EAttribute` | `getFolderType_UniqueId()`
`org.eclipse.emf.ecore.EClass` | `getFolderType()`
`org.eclipse.emf.ecore.EAttribute` | `getInternationalStringType_Group()`
`org.eclipse.emf.ecore.EReference` | `getInternationalStringType_LocalizedString()`
`org.eclipse.emf.ecore.EClass` | `getInternationalStringType()`
`org.eclipse.emf.ecore.EAttribute` | `getLocalizedStringType_Charset()`
`org.eclipse.emf.ecore.EAttribute` | `getLocalizedStringType_Lang()`
`org.eclipse.emf.ecore.EAttribute` | `getLocalizedStringType_Value()`
`org.eclipse.emf.ecore.EClass` | `getLocalizedStringType()`
`MetadataFactory` | `getMetadataFactory()`
`org.eclipse.emf.ecore.EReference` | `getMultipleDocumentSetType_DocumentSet()`
`org.eclipse.emf.ecore.EClass` | `getMultipleDocumentSetType()`
`org.eclipse.emf.ecore.EDataType` | `getOid()`
`org.eclipse.emf.ecore.EDataType` | `getOidExtension()`
`org.eclipse.emf.ecore.EEnum` | `getParentDocumentRelationshipType()`
`org.eclipse.emf.ecore.EDataType` | `getParentDocumentRelationshipTypeObject()`
`org.eclipse.emf.ecore.EReference` | `getProvideAndRegisterDocumentSetType_DocumentEntry()`
`org.eclipse.emf.ecore.EReference` | `getProvideAndRegisterDocumentSetType_Folder()`
`org.eclipse.emf.ecore.EReference` | `getProvideAndRegisterDocumentSetType_SubmissionSet()`
`org.eclipse.emf.ecore.EClass` | `getProvideAndRegisterDocumentSetType()`
`org.eclipse.emf.ecore.EAttribute` | `getSubmissionSetType_AssociatedDocuments()`
`org.eclipse.emf.ecore.EAttribute` | `getSubmissionSetType_AssociatedFolders()`
`org.eclipse.emf.ecore.EReference` | `getSubmissionSetType_Author()`
`org.eclipse.emf.ecore.EAttribute` | `getSubmissionSetType_AvailabilityStatus()`
`org.eclipse.emf.ecore.EReference` | `getSubmissionSetType_Comments()`
`org.eclipse.emf.ecore.EReference` | `getSubmissionSetType_ContentTypeCode()`
`org.eclipse.emf.ecore.EAttribute` | `getSubmissionSetType_EntryUUID()`
`org.eclipse.emf.ecore.EReference` | `getSubmissionSetType_PatientId()`
`org.eclipse.emf.ecore.EAttribute` | `getSubmissionSetType_SourceId()`
`org.eclipse.emf.ecore.EAttribute` | `getSubmissionSetType_SubmissionTime()`
`org.eclipse.emf.ecore.EReference` | `getSubmissionSetType_Title()`
`org.eclipse.emf.ecore.EAttribute` | `getSubmissionSetType_UniqueId()`
`org.eclipse.emf.ecore.EClass` | `getSubmissionSetType()`
`org.eclipse.emf.ecore.EDataType` | `getUuid()`
`static MetadataPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static MetadataPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `MetadataPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getAuthorType

    public org.eclipse.emf.ecore.EClass getAuthorType()

  Specified by:
    `getAuthorType` in interface `MetadataPackage`
  Returns:
    the meta object for class 'Author Type'.
  See Also:
    `AuthorType`

### getAuthorType_AuthorInstitution

    public org.eclipse.emf.ecore.EReference getAuthorType_AuthorInstitution()

  Specified by:
    `getAuthorType_AuthorInstitution` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference list 'Author Institution'.
  See Also:
    `AuthorType.getAuthorInstitution()`, `MetadataPackage.getAuthorType()`

### getAuthorType_AuthorPerson

    public org.eclipse.emf.ecore.EReference getAuthorType_AuthorPerson()

  Specified by:
    `getAuthorType_AuthorPerson` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference 'Author Person'.
  See Also:
    `AuthorType.getAuthorPerson()`, `MetadataPackage.getAuthorType()`

### getAuthorType_AuthorRole

    public org.eclipse.emf.ecore.EAttribute getAuthorType_AuthorRole()

  Specified by:
    `getAuthorType_AuthorRole` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute list 'Author Role'.
  See Also:
    `AuthorType.getAuthorRole()`, `MetadataPackage.getAuthorType()`

### getAuthorType_AuthorSpeciality

    public org.eclipse.emf.ecore.EAttribute getAuthorType_AuthorSpeciality()

  Specified by:
    `getAuthorType_AuthorSpeciality` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute list 'Author Speciality'.
  See Also:
    `AuthorType.getAuthorSpeciality()`, `MetadataPackage.getAuthorType()`

### getCodedMetadataType

    public org.eclipse.emf.ecore.EClass getCodedMetadataType()

  Specified by:
    `getCodedMetadataType` in interface `MetadataPackage`
  Returns:
    the meta object for class 'Coded Metadata Type'.
  See Also:
    `CodedMetadataType`

### getCodedMetadataType_Code

    public org.eclipse.emf.ecore.EAttribute getCodedMetadataType_Code()

  Specified by:
    `getCodedMetadataType_Code` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute 'Code'.
  See Also:
    `CodedMetadataType.getCode()`, `MetadataPackage.getCodedMetadataType()`

### getCodedMetadataType_DisplayName

    public org.eclipse.emf.ecore.EReference getCodedMetadataType_DisplayName()

  Specified by:
    `getCodedMetadataType_DisplayName` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference 'Display Name'.
  See Also:
    `CodedMetadataType.getDisplayName()`, `MetadataPackage.getCodedMetadataType()`

### getCodedMetadataType_SchemeName

    public org.eclipse.emf.ecore.EAttribute getCodedMetadataType_SchemeName()

  Specified by:
    `getCodedMetadataType_SchemeName` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute 'Scheme Name'.
  See Also:
    `CodedMetadataType.getSchemeName()`, `MetadataPackage.getCodedMetadataType()`

### getCodedMetadataType_SchemeUUID

    public org.eclipse.emf.ecore.EAttribute getCodedMetadataType_SchemeUUID()

  Specified by:
    `getCodedMetadataType_SchemeUUID` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute 'Scheme UUID'.
  See Also:
    `CodedMetadataType.getSchemeUUID()`, `MetadataPackage.getCodedMetadataType()`

### getDocumentEntryType

    public org.eclipse.emf.ecore.EClass getDocumentEntryType()

  Specified by:
    `getDocumentEntryType` in interface `MetadataPackage`
  Returns:
    the meta object for class 'Document Entry Type'.
  See Also:
    `DocumentEntryType`

### getDocumentEntryType_Author

    public org.eclipse.emf.ecore.EReference getDocumentEntryType_Author()

  Specified by:
    `getDocumentEntryType_Author` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference list 'Author'.
  See Also:
    `DocumentEntryType.getAuthor()`, `MetadataPackage.getDocumentEntryType()`

### getDocumentEntryType_AvailabilityStatus

    public org.eclipse.emf.ecore.EAttribute getDocumentEntryType_AvailabilityStatus()

  Specified by:
    `getDocumentEntryType_AvailabilityStatus` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute 'Availability Status'.
  See Also:
    `DocumentEntryType.getAvailabilityStatus()`, `MetadataPackage.getDocumentEntryType()`

### getDocumentEntryType_ClassCode

    public org.eclipse.emf.ecore.EReference getDocumentEntryType_ClassCode()

  Specified by:
    `getDocumentEntryType_ClassCode` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference 'Class Code'.
  See Also:
    `DocumentEntryType.getClassCode()`, `MetadataPackage.getDocumentEntryType()`

### getDocumentEntryType_Comments

    public org.eclipse.emf.ecore.EReference getDocumentEntryType_Comments()

  Specified by:
    `getDocumentEntryType_Comments` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference 'Comments'.
  See Also:
    `DocumentEntryType.getComments()`, `MetadataPackage.getDocumentEntryType()`

### getDocumentEntryType_ConfidentialityCode

    public org.eclipse.emf.ecore.EReference getDocumentEntryType_ConfidentialityCode()

  Specified by:
    `getDocumentEntryType_ConfidentialityCode` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference 'Confidentiality Code'.
  See Also:
    `DocumentEntryType.getConfidentialityCode()`, `MetadataPackage.getDocumentEntryType()`

### getDocumentEntryType_CreationTime

    public org.eclipse.emf.ecore.EAttribute getDocumentEntryType_CreationTime()

  Specified by:
    `getDocumentEntryType_CreationTime` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute 'Creation Time'.
  See Also:
    `DocumentEntryType.getCreationTime()`, `MetadataPackage.getDocumentEntryType()`

### getDocumentEntryType_EntryUUID

    public org.eclipse.emf.ecore.EAttribute getDocumentEntryType_EntryUUID()

  Specified by:
    `getDocumentEntryType_EntryUUID` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute 'Entry UUID'.
  See Also:
    `DocumentEntryType.getEntryUUID()`, `MetadataPackage.getDocumentEntryType()`

### getDocumentEntryType_EventCode

    public org.eclipse.emf.ecore.EReference getDocumentEntryType_EventCode()

  Specified by:
    `getDocumentEntryType_EventCode` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference list 'Event Code'.
  See Also:
    `DocumentEntryType.getEventCode()`, `MetadataPackage.getDocumentEntryType()`

### getDocumentEntryType_FormatCode

    public org.eclipse.emf.ecore.EReference getDocumentEntryType_FormatCode()

  Specified by:
    `getDocumentEntryType_FormatCode` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference 'Format Code'.
  See Also:
    `DocumentEntryType.getFormatCode()`, `MetadataPackage.getDocumentEntryType()`

### getDocumentEntryType_Hash

    public org.eclipse.emf.ecore.EAttribute getDocumentEntryType_Hash()

  Specified by:
    `getDocumentEntryType_Hash` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute 'Hash'.
  See Also:
    `DocumentEntryType.getHash()`, `MetadataPackage.getDocumentEntryType()`

### getDocumentEntryType_HealthCareFacilityTypeCode

    public org.eclipse.emf.ecore.EReference getDocumentEntryType_HealthCareFacilityTypeCode()

  Specified by:
    `getDocumentEntryType_HealthCareFacilityTypeCode` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference 'Health Care Facility Type Code'.
  See Also:
    `DocumentEntryType.getHealthCareFacilityTypeCode()`, `MetadataPackage.getDocumentEntryType()`

### getDocumentEntryType_LanguageCode

    public org.eclipse.emf.ecore.EAttribute getDocumentEntryType_LanguageCode()

  Specified by:
    `getDocumentEntryType_LanguageCode` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute 'Language Code'.
  See Also:
    `DocumentEntryType.getLanguageCode()`, `MetadataPackage.getDocumentEntryType()`

### getDocumentEntryType_LegalAuthenticator

    public org.eclipse.emf.ecore.EReference getDocumentEntryType_LegalAuthenticator()

  Specified by:
    `getDocumentEntryType_LegalAuthenticator` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference 'Legal Authenticator'.
  See Also:
    `DocumentEntryType.getLegalAuthenticator()`, `MetadataPackage.getDocumentEntryType()`

### getDocumentEntryType_MimeType

    public org.eclipse.emf.ecore.EAttribute getDocumentEntryType_MimeType()

  Specified by:
    `getDocumentEntryType_MimeType` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute 'Mime Type'.
  See Also:
    `DocumentEntryType.getMimeType()`, `MetadataPackage.getDocumentEntryType()`

### getDocumentEntryType_ParentDocumentRelationship

    public org.eclipse.emf.ecore.EAttribute getDocumentEntryType_ParentDocumentRelationship()

  Specified by:
    `getDocumentEntryType_ParentDocumentRelationship` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute 'Parent Document Relationship'.
  See Also:
    `DocumentEntryType.getParentDocumentRelationship()`, `MetadataPackage.getDocumentEntryType()`

### getDocumentEntryType_ParentDocumentId

    public org.eclipse.emf.ecore.EAttribute getDocumentEntryType_ParentDocumentId()

  Specified by:
    `getDocumentEntryType_ParentDocumentId` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute 'Parent Document Id'.
  See Also:
    `DocumentEntryType.getParentDocumentId()`, `MetadataPackage.getDocumentEntryType()`

### getDocumentEntryType_PatientId

    public org.eclipse.emf.ecore.EReference getDocumentEntryType_PatientId()

  Specified by:
    `getDocumentEntryType_PatientId` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference 'Patient Id'.
  See Also:
    `DocumentEntryType.getPatientId()`, `MetadataPackage.getDocumentEntryType()`

### getDocumentEntryType_PracticeSettingCode

    public org.eclipse.emf.ecore.EReference getDocumentEntryType_PracticeSettingCode()

  Specified by:
    `getDocumentEntryType_PracticeSettingCode` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference 'Practice Setting Code'.
  See Also:
    `DocumentEntryType.getPracticeSettingCode()`, `MetadataPackage.getDocumentEntryType()`

### getDocumentEntryType_ServiceStartTime

    public org.eclipse.emf.ecore.EAttribute getDocumentEntryType_ServiceStartTime()

  Specified by:
    `getDocumentEntryType_ServiceStartTime` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute 'Service Start Time'.
  See Also:
    `DocumentEntryType.getServiceStartTime()`, `MetadataPackage.getDocumentEntryType()`

### getDocumentEntryType_ServiceStopTime

    public org.eclipse.emf.ecore.EAttribute getDocumentEntryType_ServiceStopTime()

  Specified by:
    `getDocumentEntryType_ServiceStopTime` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute 'Service Stop Time'.
  See Also:
    `DocumentEntryType.getServiceStopTime()`, `MetadataPackage.getDocumentEntryType()`

### getDocumentEntryType_SourcePatientId

    public org.eclipse.emf.ecore.EReference getDocumentEntryType_SourcePatientId()

  Specified by:
    `getDocumentEntryType_SourcePatientId` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference 'Source Patient Id'.
  See Also:
    `DocumentEntryType.getSourcePatientId()`, `MetadataPackage.getDocumentEntryType()`

### getDocumentEntryType_Size

    public org.eclipse.emf.ecore.EAttribute getDocumentEntryType_Size()

  Specified by:
    `getDocumentEntryType_Size` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute 'Size'.
  See Also:
    `DocumentEntryType.getSize()`, `MetadataPackage.getDocumentEntryType()`

### getDocumentEntryType_SourcePatientInfo

    public org.eclipse.emf.ecore.EReference getDocumentEntryType_SourcePatientInfo()

  Specified by:
    `getDocumentEntryType_SourcePatientInfo` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference 'Source Patient Info'.
  See Also:
    `DocumentEntryType.getSourcePatientInfo()`, `MetadataPackage.getDocumentEntryType()`

### getDocumentEntryType_Title

    public org.eclipse.emf.ecore.EReference getDocumentEntryType_Title()

  Specified by:
    `getDocumentEntryType_Title` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference 'Title'.
  See Also:
    `DocumentEntryType.getTitle()`, `MetadataPackage.getDocumentEntryType()`

### getDocumentEntryType_TypeCode

    public org.eclipse.emf.ecore.EReference getDocumentEntryType_TypeCode()

  Specified by:
    `getDocumentEntryType_TypeCode` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference 'Type Code'.
  See Also:
    `DocumentEntryType.getTypeCode()`, `MetadataPackage.getDocumentEntryType()`

### getDocumentEntryType_UniqueId

    public org.eclipse.emf.ecore.EAttribute getDocumentEntryType_UniqueId()

  Specified by:
    `getDocumentEntryType_UniqueId` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute 'Unique Id'.
  See Also:
    `DocumentEntryType.getUniqueId()`, `MetadataPackage.getDocumentEntryType()`

### getDocumentEntryType_Uri

    public org.eclipse.emf.ecore.EAttribute getDocumentEntryType_Uri()

  Specified by:
    `getDocumentEntryType_Uri` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute 'Uri'.
  See Also:
    `DocumentEntryType.getUri()`, `MetadataPackage.getDocumentEntryType()`

### getDocumentEntryType_Existing

    public org.eclipse.emf.ecore.EAttribute getDocumentEntryType_Existing()

  Specified by:
    `getDocumentEntryType_Existing` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute 'Existing'.
  See Also:
    `DocumentEntryType.isExisting()`, `MetadataPackage.getDocumentEntryType()`

### getDocumentRoot

    public org.eclipse.emf.ecore.EClass getDocumentRoot()

  Specified by:
    `getDocumentRoot` in interface `MetadataPackage`
  Returns:
    the meta object for class 'Document Root'.
  See Also:
    `DocumentRoot`

### getDocumentRoot_Mixed

    public org.eclipse.emf.ecore.EAttribute getDocumentRoot_Mixed()

  Specified by:
    `getDocumentRoot_Mixed` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute list 'Mixed'.
  See Also:
    `DocumentRoot.getMixed()`, `MetadataPackage.getDocumentRoot()`

### getDocumentRoot_XMLNSPrefixMap

    public org.eclipse.emf.ecore.EReference getDocumentRoot_XMLNSPrefixMap()

  Specified by:
    `getDocumentRoot_XMLNSPrefixMap` in interface `MetadataPackage`
  Returns:
    the meta object for the map 'XMLNS Prefix Map'.
  See Also:
    `DocumentRoot.getXMLNSPrefixMap()`, `MetadataPackage.getDocumentRoot()`

### getDocumentRoot_XSISchemaLocation

    public org.eclipse.emf.ecore.EReference getDocumentRoot_XSISchemaLocation()

  Specified by:
    `getDocumentRoot_XSISchemaLocation` in interface `MetadataPackage`
  Returns:
    the meta object for the map 'XSI Schema Location'.
  See Also:
    `DocumentRoot.getXSISchemaLocation()`, `MetadataPackage.getDocumentRoot()`

### getDocumentRoot_DocumentEntry

    public org.eclipse.emf.ecore.EReference getDocumentRoot_DocumentEntry()

  Specified by:
    `getDocumentRoot_DocumentEntry` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference 'Document Entry'.
  See Also:
    `DocumentRoot.getDocumentEntry()`, `MetadataPackage.getDocumentRoot()`

### getDocumentRoot_Folder

    public org.eclipse.emf.ecore.EReference getDocumentRoot_Folder()

  Specified by:
    `getDocumentRoot_Folder` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference 'Folder'.
  See Also:
    `DocumentRoot.getFolder()`, `MetadataPackage.getDocumentRoot()`

### getDocumentRoot_MultipleDocumentSet

    public org.eclipse.emf.ecore.EReference getDocumentRoot_MultipleDocumentSet()

  Specified by:
    `getDocumentRoot_MultipleDocumentSet` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference 'Multiple Document Set'.
  See Also:
    `DocumentRoot.getMultipleDocumentSet()`, `MetadataPackage.getDocumentRoot()`

### getDocumentRoot_ProvideAndRegisterDocumentSet

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ProvideAndRegisterDocumentSet()

  Specified by:
    `getDocumentRoot_ProvideAndRegisterDocumentSet` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference 'Provide And Register Document Set'.
  See Also:
    `DocumentRoot.getProvideAndRegisterDocumentSet()`, `MetadataPackage.getDocumentRoot()`

### getDocumentRoot_SubmissionSet

    public org.eclipse.emf.ecore.EReference getDocumentRoot_SubmissionSet()

  Specified by:
    `getDocumentRoot_SubmissionSet` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference 'Submission Set'.
  See Also:
    `DocumentRoot.getSubmissionSet()`, `MetadataPackage.getDocumentRoot()`

### getFolderType

    public org.eclipse.emf.ecore.EClass getFolderType()

  Specified by:
    `getFolderType` in interface `MetadataPackage`
  Returns:
    the meta object for class 'Folder Type'.
  See Also:
    `FolderType`

### getFolderType_AssociatedDocuments

    public org.eclipse.emf.ecore.EAttribute getFolderType_AssociatedDocuments()

  Specified by:
    `getFolderType_AssociatedDocuments` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute list 'Associated Documents'.
  See Also:
    `FolderType.getAssociatedDocuments()`, `MetadataPackage.getFolderType()`

### getFolderType_AvailabilityStatus

    public org.eclipse.emf.ecore.EAttribute getFolderType_AvailabilityStatus()

  Specified by:
    `getFolderType_AvailabilityStatus` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute 'Availability Status'.
  See Also:
    `FolderType.getAvailabilityStatus()`, `MetadataPackage.getFolderType()`

### getFolderType_Code

    public org.eclipse.emf.ecore.EReference getFolderType_Code()

  Specified by:
    `getFolderType_Code` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference list 'Code'.
  See Also:
    `FolderType.getCode()`, `MetadataPackage.getFolderType()`

### getFolderType_Comments

    public org.eclipse.emf.ecore.EReference getFolderType_Comments()

  Specified by:
    `getFolderType_Comments` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference 'Comments'.
  See Also:
    `FolderType.getComments()`, `MetadataPackage.getFolderType()`

### getFolderType_EntryUUID

    public org.eclipse.emf.ecore.EAttribute getFolderType_EntryUUID()

  Specified by:
    `getFolderType_EntryUUID` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute 'Entry UUID'.
  See Also:
    `FolderType.getEntryUUID()`, `MetadataPackage.getFolderType()`

### getFolderType_LastUpdateTime

    public org.eclipse.emf.ecore.EAttribute getFolderType_LastUpdateTime()

  Specified by:
    `getFolderType_LastUpdateTime` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute 'Last Update Time'.
  See Also:
    `FolderType.getLastUpdateTime()`, `MetadataPackage.getFolderType()`

### getFolderType_PatientId

    public org.eclipse.emf.ecore.EReference getFolderType_PatientId()

  Specified by:
    `getFolderType_PatientId` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference 'Patient Id'.
  See Also:
    `FolderType.getPatientId()`, `MetadataPackage.getFolderType()`

### getFolderType_Title

    public org.eclipse.emf.ecore.EReference getFolderType_Title()

  Specified by:
    `getFolderType_Title` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference 'Title'.
  See Also:
    `FolderType.getTitle()`, `MetadataPackage.getFolderType()`

### getFolderType_UniqueId

    public org.eclipse.emf.ecore.EAttribute getFolderType_UniqueId()

  Specified by:
    `getFolderType_UniqueId` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute 'Unique Id'.
  See Also:
    `FolderType.getUniqueId()`, `MetadataPackage.getFolderType()`

### getFolderType_Existing

    public org.eclipse.emf.ecore.EAttribute getFolderType_Existing()

  Specified by:
    `getFolderType_Existing` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute 'Existing'.
  See Also:
    `FolderType.isExisting()`, `MetadataPackage.getFolderType()`

### getInternationalStringType

    public org.eclipse.emf.ecore.EClass getInternationalStringType()

  Specified by:
    `getInternationalStringType` in interface `MetadataPackage`
  Returns:
    the meta object for class 'International String Type'.
  See Also:
    `InternationalStringType`

### getInternationalStringType_Group

    public org.eclipse.emf.ecore.EAttribute getInternationalStringType_Group()

  Specified by:
    `getInternationalStringType_Group` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `InternationalStringType.getGroup()`, `MetadataPackage.getInternationalStringType()`

### getInternationalStringType_LocalizedString

    public org.eclipse.emf.ecore.EReference getInternationalStringType_LocalizedString()

  Specified by:
    `getInternationalStringType_LocalizedString` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference list 'Localized String'.
  See Also:
    `InternationalStringType.getLocalizedString()`, `MetadataPackage.getInternationalStringType()`

### getLocalizedStringType

    public org.eclipse.emf.ecore.EClass getLocalizedStringType()

  Specified by:
    `getLocalizedStringType` in interface `MetadataPackage`
  Returns:
    the meta object for class 'Localized String Type'.
  See Also:
    `LocalizedStringType`

### getLocalizedStringType_Charset

    public org.eclipse.emf.ecore.EAttribute getLocalizedStringType_Charset()

  Specified by:
    `getLocalizedStringType_Charset` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute 'Charset'.
  See Also:
    `LocalizedStringType.getCharset()`, `MetadataPackage.getLocalizedStringType()`

### getLocalizedStringType_Lang

    public org.eclipse.emf.ecore.EAttribute getLocalizedStringType_Lang()

  Specified by:
    `getLocalizedStringType_Lang` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute 'Lang'.
  See Also:
    `LocalizedStringType.getLang()`, `MetadataPackage.getLocalizedStringType()`

### getLocalizedStringType_Value

    public org.eclipse.emf.ecore.EAttribute getLocalizedStringType_Value()

  Specified by:
    `getLocalizedStringType_Value` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `LocalizedStringType.getValue()`, `MetadataPackage.getLocalizedStringType()`

### getMultipleDocumentSetType

    public org.eclipse.emf.ecore.EClass getMultipleDocumentSetType()

  Specified by:
    `getMultipleDocumentSetType` in interface `MetadataPackage`
  Returns:
    the meta object for class 'Multiple Document Set Type'.
  See Also:
    `MultipleDocumentSetType`

### getMultipleDocumentSetType_DocumentSet

    public org.eclipse.emf.ecore.EReference getMultipleDocumentSetType_DocumentSet()

  Specified by:
    `getMultipleDocumentSetType_DocumentSet` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference list 'Document Set'.
  See Also:
    `MultipleDocumentSetType.getDocumentSet()`, `MetadataPackage.getMultipleDocumentSetType()`

### getProvideAndRegisterDocumentSetType

    public org.eclipse.emf.ecore.EClass getProvideAndRegisterDocumentSetType()

  Specified by:
    `getProvideAndRegisterDocumentSetType` in interface `MetadataPackage`
  Returns:
    the meta object for class 'Provide And Register Document Set Type'.
  See Also:
    `ProvideAndRegisterDocumentSetType`

### getProvideAndRegisterDocumentSetType_SubmissionSet

    public org.eclipse.emf.ecore.EReference getProvideAndRegisterDocumentSetType_SubmissionSet()

  Specified by:
    `getProvideAndRegisterDocumentSetType_SubmissionSet` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference 'Submission Set'.
  See Also:
    `ProvideAndRegisterDocumentSetType.getSubmissionSet()`, `MetadataPackage.getProvideAndRegisterDocumentSetType()`

### getProvideAndRegisterDocumentSetType_Folder

    public org.eclipse.emf.ecore.EReference getProvideAndRegisterDocumentSetType_Folder()

  Specified by:
    `getProvideAndRegisterDocumentSetType_Folder` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference list 'Folder'.
  See Also:
    `ProvideAndRegisterDocumentSetType.getFolder()`, `MetadataPackage.getProvideAndRegisterDocumentSetType()`

### getProvideAndRegisterDocumentSetType_DocumentEntry

    public org.eclipse.emf.ecore.EReference getProvideAndRegisterDocumentSetType_DocumentEntry()

  Specified by:
    `getProvideAndRegisterDocumentSetType_DocumentEntry` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference list 'Document Entry'.
  See Also:
    `ProvideAndRegisterDocumentSetType.getDocumentEntry()`, `MetadataPackage.getProvideAndRegisterDocumentSetType()`

### getSubmissionSetType

    public org.eclipse.emf.ecore.EClass getSubmissionSetType()

  Specified by:
    `getSubmissionSetType` in interface `MetadataPackage`
  Returns:
    the meta object for class 'Submission Set Type'.
  See Also:
    `SubmissionSetType`

### getSubmissionSetType_AssociatedDocuments

    public org.eclipse.emf.ecore.EAttribute getSubmissionSetType_AssociatedDocuments()

  Specified by:
    `getSubmissionSetType_AssociatedDocuments` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute list 'Associated Documents'.
  See Also:
    `SubmissionSetType.getAssociatedDocuments()`, `MetadataPackage.getSubmissionSetType()`

### getSubmissionSetType_AssociatedFolders

    public org.eclipse.emf.ecore.EAttribute getSubmissionSetType_AssociatedFolders()

  Specified by:
    `getSubmissionSetType_AssociatedFolders` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute list 'Associated Folders'.
  See Also:
    `SubmissionSetType.getAssociatedFolders()`, `MetadataPackage.getSubmissionSetType()`

### getSubmissionSetType_Author

    public org.eclipse.emf.ecore.EReference getSubmissionSetType_Author()

  Specified by:
    `getSubmissionSetType_Author` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference list 'Author'.
  See Also:
    `SubmissionSetType.getAuthor()`, `MetadataPackage.getSubmissionSetType()`

### getSubmissionSetType_AvailabilityStatus

    public org.eclipse.emf.ecore.EAttribute getSubmissionSetType_AvailabilityStatus()

  Specified by:
    `getSubmissionSetType_AvailabilityStatus` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute 'Availability Status'.
  See Also:
    `SubmissionSetType.getAvailabilityStatus()`, `MetadataPackage.getSubmissionSetType()`

### getSubmissionSetType_Comments

    public org.eclipse.emf.ecore.EReference getSubmissionSetType_Comments()

  Specified by:
    `getSubmissionSetType_Comments` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference 'Comments'.
  See Also:
    `SubmissionSetType.getComments()`, `MetadataPackage.getSubmissionSetType()`

### getSubmissionSetType_ContentTypeCode

    public org.eclipse.emf.ecore.EReference getSubmissionSetType_ContentTypeCode()

  Specified by:
    `getSubmissionSetType_ContentTypeCode` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference 'Content Type Code'.
  See Also:
    `SubmissionSetType.getContentTypeCode()`, `MetadataPackage.getSubmissionSetType()`

### getSubmissionSetType_EntryUUID

    public org.eclipse.emf.ecore.EAttribute getSubmissionSetType_EntryUUID()

  Specified by:
    `getSubmissionSetType_EntryUUID` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute 'Entry UUID'.
  See Also:
    `SubmissionSetType.getEntryUUID()`, `MetadataPackage.getSubmissionSetType()`

### getSubmissionSetType_PatientId

    public org.eclipse.emf.ecore.EReference getSubmissionSetType_PatientId()

  Specified by:
    `getSubmissionSetType_PatientId` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference 'Patient Id'.
  See Also:
    `SubmissionSetType.getPatientId()`, `MetadataPackage.getSubmissionSetType()`

### getSubmissionSetType_SourceId

    public org.eclipse.emf.ecore.EAttribute getSubmissionSetType_SourceId()

  Specified by:
    `getSubmissionSetType_SourceId` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute 'Source Id'.
  See Also:
    `SubmissionSetType.getSourceId()`, `MetadataPackage.getSubmissionSetType()`

### getSubmissionSetType_SubmissionTime

    public org.eclipse.emf.ecore.EAttribute getSubmissionSetType_SubmissionTime()

  Specified by:
    `getSubmissionSetType_SubmissionTime` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute 'Submission Time'.
  See Also:
    `SubmissionSetType.getSubmissionTime()`, `MetadataPackage.getSubmissionSetType()`

### getSubmissionSetType_Title

    public org.eclipse.emf.ecore.EReference getSubmissionSetType_Title()

  Specified by:
    `getSubmissionSetType_Title` in interface `MetadataPackage`
  Returns:
    the meta object for the containment reference 'Title'.
  See Also:
    `SubmissionSetType.getTitle()`, `MetadataPackage.getSubmissionSetType()`

### getSubmissionSetType_UniqueId

    public org.eclipse.emf.ecore.EAttribute getSubmissionSetType_UniqueId()

  Specified by:
    `getSubmissionSetType_UniqueId` in interface `MetadataPackage`
  Returns:
    the meta object for the attribute 'Unique Id'.
  See Also:
    `SubmissionSetType.getUniqueId()`, `MetadataPackage.getSubmissionSetType()`

### getAvailabilityStatusType

    public org.eclipse.emf.ecore.EEnum getAvailabilityStatusType()

  Specified by:
    `getAvailabilityStatusType` in interface `MetadataPackage`
  Returns:
    the meta object for enum 'Availability Status Type'.
  See Also:
    `AvailabilityStatusType`

### getParentDocumentRelationshipType

    public org.eclipse.emf.ecore.EEnum getParentDocumentRelationshipType()

  Specified by:
    `getParentDocumentRelationshipType` in interface `MetadataPackage`
  Returns:
    the meta object for enum 'Parent Document Relationship Type'.
  See Also:
    `ParentDocumentRelationshipType`

### getAvailabilityStatusTypeObject

    public org.eclipse.emf.ecore.EDataType getAvailabilityStatusTypeObject()

  Specified by:
    `getAvailabilityStatusTypeObject` in interface `MetadataPackage`
  Returns:
    the meta object for data type 'Availability Status Type Object'.
  See Also:
    `AvailabilityStatusType`

### getOid

    public org.eclipse.emf.ecore.EDataType getOid()

  Specified by:
    `getOid` in interface `MetadataPackage`
  Returns:
    the meta object for data type 'Oid'.
  See Also:
    `String`

### getOidExtension

    public org.eclipse.emf.ecore.EDataType getOidExtension()

  Specified by:
    `getOidExtension` in interface `MetadataPackage`
  Returns:
    the meta object for data type 'Oid Extension'.
  See Also:
    `String`

### getParentDocumentRelationshipTypeObject

    public org.eclipse.emf.ecore.EDataType getParentDocumentRelationshipTypeObject()

  Specified by:
    `getParentDocumentRelationshipTypeObject` in interface `MetadataPackage`
  Returns:
    the meta object for data type 'Parent Document Relationship Type Object'.
  See Also:
    `ParentDocumentRelationshipType`

### getUuid

    public org.eclipse.emf.ecore.EDataType getUuid()

  Specified by:
    `getUuid` in interface `MetadataPackage`
  Returns:
    the meta object for data type 'Uuid'.
  See Also:
    `String`

### getMetadataFactory

    public MetadataFactory getMetadataFactory()

  Specified by:
    `getMetadataFactory` in interface `MetadataPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD